package jp.agentec.adf.core;


/**
 * {@link ADFObject} に複製（clone）を可能とする機能を加えています。
 * @author Taejin Hong
 * @version 1.0.0
 */
public abstract class CloneableObject extends ADFObject implements Cloneable {
	@Override
	public Object clone() {
		try {
			return super.clone();
		} catch (CloneNotSupportedException e) {
			throw new RuntimeException(e);
		}
	}
}
